Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ScopedFakeTestPartResultReporter Class Reference

`#include <gtest-spi.h>`

Inheritance diagram for ScopedFakeTestPartResultReporter:

## Public Types
enum | InterceptMode { INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS }
enum | InterceptMode { INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS }
enum | InterceptMode { INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS, INTERCEPT_ONLY_CURRENT_THREAD, INTERCEPT_ALL_THREADS }

## Public Member Functions
| ScopedFakeTestPartResultReporter (TestPartResultArray *result)
| ScopedFakeTestPartResultReporter (InterceptMode intercept_mode, TestPartResultArray *result)
virtual | ~ScopedFakeTestPartResultReporter ()
virtual void | ReportTestPartResult (const TestPartResult &result)
| ScopedFakeTestPartResultReporter (TestPartResultArray *result)
| ScopedFakeTestPartResultReporter (InterceptMode intercept_mode, TestPartResultArray *result)
virtual | ~ScopedFakeTestPartResultReporter ()
virtual void | ReportTestPartResult (const TestPartResult &result)
| ScopedFakeTestPartResultReporter (TestPartResultArray *result)
| ScopedFakeTestPartResultReporter (InterceptMode intercept_mode, TestPartResultArray *result)
virtual | ~ScopedFakeTestPartResultReporter ()
virtual void | ReportTestPartResult (const TestPartResult &result)
Public Member Functions inherited from TestPartResultReporterInterface
virtual | ~TestPartResultReporterInterface ()
virtual | ~TestPartResultReporterInterface ()
virtual | ~TestPartResultReporterInterface ()

## Member Enumeration Documentation

enum InterceptMode

Enumerator
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |

enum InterceptMode

Enumerator
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |

enum InterceptMode

Enumerator
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |
INTERCEPT_ONLY_CURRENT_THREAD |
INTERCEPT_ALL_THREADS |

## Constructor & Destructor Documentation

ScopedFakeTestPartResultReporter | ( | TestPartResultArray * | result | ) |
| explicit

ScopedFakeTestPartResultReporter | ( | InterceptMode | intercept_mode,
|  | TestPartResultArray * | result
| ) |  |

~ScopedFakeTestPartResultReporter | ( |  | ) |
| virtual

ScopedFakeTestPartResultReporter | ( | TestPartResultArray * | result | ) |
| explicit

ScopedFakeTestPartResultReporter | ( | InterceptMode | intercept_mode,
|  | TestPartResultArray * | result
| ) |  |

virtual ~ScopedFakeTestPartResultReporter | ( |  | ) |
| virtual

ScopedFakeTestPartResultReporter | ( | TestPartResultArray * | result | ) |
| explicit

ScopedFakeTestPartResultReporter | ( | InterceptMode | intercept_mode,
|  | TestPartResultArray * | result
| ) |  |

virtual ~ScopedFakeTestPartResultReporter | ( |  | ) |
| virtual

## Member Function Documentation

void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

virtual void ReportTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestPartResultReporterInterface.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest-spi.h
- testing/googleTest/fused-src/gtest/gtest-all.cc
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc